You are here

updating to 3.6.16 from 3.6.15

11 posts / 0 new
Last post
Grantwhy
Offline
Last seen: 4 months 3 weeks ago
Joined: 2010-07-28 22:05
updating to 3.6.16 from 3.6.15

yes, I know, I should be going to 4.0 but there are a couple of add-ons I can't do without that don't work under 4.0 yet - so I'm sticking with 3.6.xx for the moment.

now, I know I can update to 3.6.16 by going Help > Check for Updates, but should I wait until a PortableApps version is released instead?

From memory, these days it should be ok to let Firefox update to 3.6.16, but I just wanted to be sure (and maybe wait a couple of extra days if a PortableApps release is around the corner?)

Chris Morgan
Chris Morgan's picture
Offline
Last seen: 9 years 3 weeks ago
Joined: 2007-04-15 21:08
Coming

Outdated Official PortableApps Firefox 3.6.16 / 3.5.18 (3.5 Built and mirroring. 3.6 Built and uploading...)

And yes, Firefox's internal updater is safe.

Note also that the AppID and installation directory will change from FirefoxPortable to FirefoxPortableLegacy36.

I am a Christian and a developer and moderator here.

“A soft answer turns away wrath, but a harsh word stirs up anger.” – Proverbs 15:1

galacticninja
Offline
Last seen: 8 years 6 months ago
Joined: 2010-11-19 02:32
Will there be a 3.6.16 Firefox Portable standalone installer?

Will there be a 3.6.16 (and further Firefox 3.6 updates) standalone installer versions of Firefox Portable too? Like the original poster, I too have extensions that I need to use and won't work on Firefox 4. (I'd upgrade to Firefox 4 if I didn't need to use those extensions.)

Chris Morgan
Chris Morgan's picture
Offline
Last seen: 9 years 3 weeks ago
Joined: 2007-04-15 21:08
Read

Did you read what I posted?

I am a Christian and a developer and moderator here.

“A soft answer turns away wrath, but a harsh word stirs up anger.” – Proverbs 15:1

Grantwhy
Offline
Last seen: 4 months 3 weeks ago
Joined: 2010-07-28 22:05
to be fair

to be fair to galacticninja, while it's not written in l33t, it takes a bit of knowledge/understanding of the terms used to get that info out of your reply Wink

Note also that the AppID and installation directory will change from FirefoxPortable to FirefoxPortableLegacy36

so that means, if I wait for (and use) the Portable Apps release of 3.6.16, the next time I check for updates it won't put up the option of updating to 4.0? (which is something I'm ok with)

Chris Morgan
Chris Morgan's picture
Offline
Last seen: 9 years 3 weeks ago
Joined: 2007-04-15 21:08
Not reading

This time I think you haven't read what I said... that sentence is merely incidental, providing some detail; the meat of it came in the quote from the Outdated Official PortableApps page.

I am a Christian and a developer and moderator here.

“A soft answer turns away wrath, but a harsh word stirs up anger.” – Proverbs 15:1

galacticninja
Offline
Last seen: 8 years 6 months ago
Joined: 2010-11-19 02:32
Sorry. Skimmed it.

Sorry. I kinda skimmed over your reply post and didn't take much notice to the quote part of your reply.

I read the post you linked to. Do I understand correctly if say that a version of Firefox Portable 3.6.* will be released as long as Mozilla keeps releasing new versions for it?

Sorry if this sounds annoying. This is my first time to be using a Portable App of a previous, but still supported version of a software and I don't know if and how long will versions of Portable Apps be made for it.

Chris Morgan
Chris Morgan's picture
Offline
Last seen: 9 years 3 weeks ago
Joined: 2007-04-15 21:08
Correct

We update it while they do.

I am a Christian and a developer and moderator here.

“A soft answer turns away wrath, but a harsh word stirs up anger.” – Proverbs 15:1

John T. Haller
John T. Haller's picture
Offline
Last seen: 1 hour 49 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Yes, Different Now

Yes, we plan to continue release packages of the legacy 3.6 release, just as we did today with the (now-unsupported) 3.5.x branch. I would advise upgrading more quickly, though, as Mozilla is no longer promising support of 3.6.x "through X date" as they did with 3.5.x. As Firefox will now be on an accelerated development schedule (with 5 and 6 scheduled to drop this year), they state the following:

"Firefox 3.6.x will be maintained with security and stability updates for a short amount of time. All users are strongly encouraged to upgrade to Firefox 4." - Mozilla

Both 3.5.18 and 3.6.16 are up and will install to FirefoxPortableLegacy35 and FirefoxPortableLegacy36 respectively. If you wanted to manually update your current 3.6.x X:\PortableApps\FirefoxPortable install to 3.6.16, you'd just select the X:\PortableApps directory as usual and then manually delete the "Legacy36" bit off the end.

Sometimes, the impossible can become possible, if you're awesome!

bpmackow
Offline
Last seen: 12 years 10 months ago
Joined: 2011-01-30 18:59
how long is "a short amount of time"?

I can't seem to find where this info is coming from after half an hour of searching.

"Insanity is doing the same thing over and over and expecting different results." - Albert Einstein

My use of Google indicates that I am insane.

John T. Haller
John T. Haller's picture
Offline
Last seen: 1 hour 49 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
They Specifically Don't Say

They specifically do not say. I would think well under 6 months (since 6 months was the old time they did and they're gonna do 2 full version updates in the next 9 months.

The short answer is to get off the legacy versions as soon as possible. For most people, that's right away. For a few using less-popular/less-maintained extensions, it may be a little longer.

Honestly, the sooner the better. Maintaining 3 active versions of Firefox just because people don't upgrade is a nightmare and a waste of limited developer resources.

Sometimes, the impossible can become possible, if you're awesome!

Log in or register to post comments